<!DOCTYPE html>
<html lang="en">
<head>
  <%- include('../partials/head.ejs'); -%>
</head>
<body>
<div class="container bg-3">
  <%- include('../partials/header.ejs'); -%>
  <div class="row main-container">
        <div class="row">
          <div class="col-sm-6 col-sm-offset-3">
            <div class="row">
              <div class="col-sm-12">
              </div>
            </div>
          </div><!--/col-sm-6-->
        </div><!--/row-->
        <div class="mt-2" style="background-color: rgb(255, 255, 255)">
          <div class="row table-container">
            <div class="col">
              <div class="table-responsive mt-5">
                <table class="table table-bordered table-striped table-hover users-table mb-2">
                  <thead>
                    <tr >
                      <th>Template Name</th>
                      <th>Type</th>
                      <th class="no-sort">Actions</th>
                    </tr>
                  </thead>
                  <tbody>
                      <tr>
                        <td>Appointment</td>
                        <td>Email</td>
                        <td>
                          <button class="btn communicationDetails" data-name ="appointmentTemplate" ><i class="fa fa-eye"></i></button>
                        </td>
                      </tr>
                      <tr>
                        <td>Forgot Password</td>
                        <td>Email</td>
                        <td>
                          <button class="btn communicationDetails" data-name="forgotPassword"><i class="fa fa-eye"></i></button>
                        </td>
                      </tr>
                        <tr>
                        <td>Welcome User</td>
                        <td>Email</td>
                        <td>
                          <button class="btn communicationDetails" data-name = "welcomeTemplate" ><i class="fa fa-eye"></i></button>
                        </td>
                     </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
  </div>
</div>

<%- include('../partials/footer.ejs'); -%>
<script>
      $(document).ready(function() {
        $(".users-table").DataTable({
          "aaSorting": [],
          "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
          } ]
        });

        $(document).on('click', '.communicationDetails', function() {
          let name = $(this).data('name')
          url = '/communication/'+name
          window.location = url;
        })

      });
</script>
</body>
</html>
